Child pages
  • Packages and Modules Summary
Skip to end of metadata
Go to start of metadata

Introduction

Opmantek products include a sophisticated installation system which automates the installation of all dependant packages and libraries.  Using the Operating System provided patching system  (yum, apt-get, etc) is the recommended way of installing and maintaining your Opmantek server.

If your servers do not have a connection to the internet, you should have some method in place for them to access the repositories, through proxy or local mirrors.  Opmantek has documented several very easy techniques for patching linux servers, you can find the details here: Virtual Appliance Maintenance: Updating Software

Regarding Dependancies

This document is a list of the required modules and packages for all of our software, Opmantek is committed to keeping this document up to date and we would welcome you let us know or any corrections or errors you might find.

Opmantek list our dependancies, each of the packages we depend on may or may not depend on other packages, e.g. we require RRDTool for NMIS and RRDTool requires many other graphics libraries to do its magic.  

Dependancies are extracted from the source in /usr/local/opmojo/bin/installer_hooks/*dependancies

Common Packages and Modules

RRDTool

RRDTool is required by NMIS and a special version including source code is included in opCharts.

There are YUM and APT-GET packages available.

MongoDB

MongoDB is required by the following products:

  • opFlow
  • opEvents
  • opConfig
  • opAddress
  • opTrend

Details about installation are in MongoDB Installation, for Red Hat and CentOS it should be downloaded from MongoDB.org and installed as per our documenation.

NMIS

NMIS CentOS dependancies are determined by running the NMIS installer

./install.pl listdeps=true

Then when asked if connected to internet, answer "no", then the installer will tell you the dependancies.

CentOS/Red Hat YUM Packages

autoconf automake gcc cvs cairo cairo-devel pango pango-devel glib glib-devel libxml2 libxml2-devel gd gd-devel libXpm-devel libXpm openssl openssl-devel net-snmp net-snmp-libs net-snmp-utils net-snmp-perl perl-Net-SSLeay perl-JSON-XS httpd fping make groff perl-CPAN crontabs dejavu* perl-libwww-perl perl-Net-DNS perl-DBI perl-Net-SMTPS perl-Net-SMTP-SSL uuid-perl perl-Time-modules perl-CGI net-snmp-perl perl-Proc-ProcessTable perl-Authen-SASL perl-Crypt-PasswdMD5 perl-Net-SNPP perl-Net-SNMP perl-GD rrdtool perl-rrdtool perl-Test-Deep

Perl Packages

Many perl packages can be installed from YUM, the others from CPAN, the list of packages can be extracted by running /usr/local/nmis8/admin/check_cpan_libraries.pl, provide the location of NMIS source.  Many required libraries listed are included with Perl itself.

Time::HiRes JSON::XS Net::DNS Net::SMTPS Net::SNMP Net::SNPP Data::Dumper UUID::Tiny Time::ParseDate Statistics::Lite Crypt::PasswdMD5 Proc::Queue Proc::ProcessTable Test::Deep::NoTest

The following Perl Modules are Optional depending on what Authentiction features people require.

Net::LDAP Net::LDAPS IO::Socket::SSL Crypt::UnixCrypt Authen::TacacsPlus Authen::Simple::RADIUS

Installing RRDTool as per the installation guide will result in the RRDs perl library being created.

The perl libraries SNMP_util and SNMP_Session are included in the NMIS install folder /usr/local/nmis8/install/SNMP_Session-1.12.tar.gz

Open-AudIT

CentOS/Red Hat YUM Packages

mysql mysql-server httpd php php-cli php-mysql php-ldap php-mbstring php-mcrypt php-process php-snmp php-xml nmap zip curl wget sshpass screen samba-client logrotate perl-Time-modules

Debian/Ubuntu Packages

mysql-server apache2 apache2-utils libapache2-mod-proxy-html libapache2-mod-php5 openssh-client php5 php5-ldap php5-mcrypt php5-mysql php5-snmp nmap zip wget curl sshpass screen smbclient logrotate libtime-modules-perl

Opmantek Modules

The following are the merged list of modules required for all Opmantek Applications, as many are common.  If NMIS is installed on this server, then with the exception of MongoDB and MySQL, all these packages should already be present.

Merged CentOS/Red Hat YUM Packages

httpd httpd-tools rrdtool logrotate ntp

Merged Debian/Ubuntu Packages

apache2 rrdtool apache2-utils logrotate ntp

opAddress

MongoDB is required.

CentOS/Red Hat YUM Packages

httpd httpd-tools rrdtool logrotate fping

Debian/Ubuntu Packages

apache2 rrdtool apache2-utils logrotate fping

opCharts

CentOS/Red Hat YUM Packages

httpd httpd-tools freetds unixODBC rrdtool logrotate

Debian/Ubuntu Packages

apache2 rrdtool apache2-utils unixodbc odbcinst tdsodbc logrotate

opConfig

MongoDB is required.

CentOS/Red Hat YUM Packages

httpd httpd-tools logrotate ntp

Debian/Ubuntu Packages

apache2 apache2-utils logrotate ntp

opHA

CentOS/Red Hat YUM Packages

httpd httpd-tools logrotate ntp

Debian/Ubuntu Packages

apache2 apache2-utils logrotate ntp

opEvents

MongoDB is required.

CentOS/Red Hat YUM Packages

httpd httpd-tools logrotate

Debian/Ubuntu Packages

apache2 apache2-utils logrotate

opFlow

opFlow Installation Guide

MongoDB is required.

You will need to compile the NetFlow Daemon flowd, the source code is included with opFlow.

CentOS/Red Hat YUM Packages

byacc

Debian/Ubuntu Packages

byacc

opReports

CentOS/Red Hat YUM Packages

httpd httpd-tools rrdtool logrotate

Debian/Ubuntu Packages

apache2 rrdtool apache2-utils logrotate

opSLA

MySQL is required.

CentOS/Red Hat YUM Packages

mysql mysql-server

opTrend

MongoDB is required.

CentOS/Red Hat YUM Packages

httpd httpd-tools rrdtool logrotate

Debian/Ubuntu Packages

apache2 rrdtool apache2-utils logrotate
  • No labels